# SourcePath: glibc-2.25/20240701
Summary: Embedded Glibc.
Name: sony-target-dev-glibc
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-glibc
Version: 2.25
Release: 14000106
License: LGPL2.1 / Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.glibc.org/home
Source0: glibc-%{version}.tar.xz

## LOT script Files
Source10: sony-devel-libopt-build-libc
Source11: sony-devel-libopt-build-libcrypt
Source12: sony-devel-libopt-build-libdl
Source13: sony-devel-libopt-build-libm
Source14: sony-devel-libopt-build-libpthread
Source15: sony-devel-libopt-build-librt

Patch001: 0009-Quote-from-bug-1443-which-explains-what-the-patch-do.patch
Patch002: 0012-Make-ld-version-output-matching-grok-gold-s-output.patch
Patch003: 0013-sysdeps-gnu-configure.ac-handle-correctly-libc_cv_ro.patch
Patch004: 0014-Add-unused-attribute.patch
Patch005: 0015-yes-within-the-path-sets-wrong-config-variables.patch
Patch006: 0016-timezone-re-written-tzselect-as-posix-sh.patch
Patch007: 0017-Remove-bash-dependency-for-nscd-init-script.patch
Patch008: 0018-eglibc-Cross-building-and-testing-instructions.patch
Patch009: 0020-eglibc-Help-bootstrap-cross-toolchain.patch
Patch010: 0024-eglibc-Forward-port-cross-locale-generation-support.patch
#Patch100: glibc-2.11.2-localedef_segfault-1.patch
Patch101: glibc-2.11.2-arm-longjmp_chk-unwinding-support.patch
Patch102: glibc-ports-2.11-mcount_gprof_fix.patch
#Patch103: glibc-2.11.2-rtld-osinfo-nonfatal.patch
Patch104: glibc-2.11.2-hp-timing-ctors.patch
#Patch105: glibc-2.11.2-nptl-cond_timedwait_rel.patch
Patch105: glibc-2.25-CVE-2017-1000366.patch
Patch106: glibc-2.25-CVE-2017-12132.patch
Patch107: glibc-2.25-CVE-2017-12133.patch
Patch108: glibc-2.25-CVE-2017-15670.patch
Patch110: glibc-2.25-CVE-2017-15804.patch
Patch113: glibc-2.25-CVE-2018-1000001.patch
Patch114: glibc-2.25-CVE-2018-11236.patch
Patch117: glibc-2.25-CVE-2018-6485.patch
Patch118: glibc-2.25-CVE-2019-9169.patch
Patch112: glibc-2.25-CVE-2017-16997.patch
#Patch115: glibc-2.25-CVE-2018-19591.patch
Patch201: Fix-improper-assert-in-Linux-posix_spawn.patch
Patch202: Do-not-use-WNOHANG-in-waitpid-call-for-Linux.patch
#Patch203: glibc-2.25-CVE-2020-6096_1.patch 
#Patch204: glibc-2.25-CVE-2020-6096_2.patch
Patch205: glibc-2.25-CVE-2021-3326.patch 
Patch206: glibc-2.25-CVE-2017-15671.patch 
Patch207: glibc-2.25-CVE-2020-1752.patch 
Patch208: glibc-2.25-CVE-2016-10228.patch
Patch209: glibc-2.25-CVE-2021-43396.patch
Patch210: glibc-2.25-CVE-2021-35942.patch
Patch211: glibc-2.25-CVE-2022-23218-pre1.patch 
Patch212: glibc-2.25-CVE-2022-23218.patch
Patch213: glibc-2.25-CVE-2021-3999.patch
Patch214: glibc-2.25-CVE-2022-23219.patch
Patch1001: 0001-nss_dns-Replace-local-declarations-with-declarations.patch
Patch1002: 0002-resolv-Replace-__builtin_expect-with-__glibc_unlikel.patch
Patch1003: 0003-nss_dns-Correct-parentheses-for-the-__glibc_unlikely.patch
Patch1004: 0004-resolv-Make-__res_vinit-hidden.patch
Patch1005: 0005-resolv-Move-res_randomid-to-its-own-file.patch
Patch1006: 0006-resolv-Move-_res-deallocation-functions-to-their-own.patch
Patch1007: 0007-resolv-Remove-DEBUG-preprocessor-conditionals-from-r.patch
Patch1008: 0008-resolv-Introduce-is_sort_mask-and-call-it-from-res_v.patch
Patch1009: 0009-resolv-Reformat-res_vinit-and-related-functions-to-G.patch
Patch1010: 0010-resolv-Report-allocation-errors-in-__res_vinit.patch
Patch1011: 0011-resolv-Use-getline-for-configuration-file-reading-in.patch
#Patch1012: 0012-resolv-Reduce-EDNS-payload-size-to-1200-bytes-BZ-213.patch
Patch1013: 0013-inet_pton-Reformat-in-GNU-style.patch
Patch1014: 0014-__inet_pton_length-Implement-new-internal-helper-fun.patch
Patch1015: 0015-resolv-Clean-up-declarations-of-the-__res_initstamp-.patch
Patch1016: 0016-Remove-the-str-n-dup-inlines-from-string-bits-string.patch
Patch1017: 0017-Create-more-sockets-with-SOCK_CLOEXEC-BZ-15722.patch
Patch1018: 0018-getaddrinfo-Unconditionally-use-malloc-for-address-l.patch
Patch1019: 0019-getaddrinfo-Always-allocate-canonical-name-on-the-he.patch
Patch1020: 0020-getaddrinfo-Fix-localplt-failure-involving-strdup.patch
Patch1021: 0021-getaddrinfo-Eliminate-another-strdup-call.patch
Patch1022: 0022-getaddrinfo-Avoid-stack-copy-of-IPv6-address.patch
Patch1023: 0023-getaddrinfo-Merge-IPv6-addresses-and-IPv4-addresses-.patch
Patch1024: 0024-resolv-Call-_res_hconf_init-from-__res_vinit.patch
Patch1025: 0025-resolv-Remove-source-argument-fron-res_options.patch
Patch1026: 0026-resolv-res_libc.c-Reformat-to-GNU-style.patch
Patch1027: 0027-inet_pton-Reject-IPv6-addresses-with-many-leading-ze.patch
Patch1028: 0028-Split-DIAG_-macros-to-new-header-libc-diag.h.patch
Patch1029: 0029-resolv-Make-RES_ROTATE-start-with-a-random-name-serv.patch
Patch1030: 0030-resolv-Remove-DEBUG-macro-from-resolv-res_mkquery.c.patch
Patch1031: 0031-resolv-Reformat-resolv-res_mkquery.c-to-GNU-style.patch
Patch1032: 0032-resolv-Move-the-res_mkquery-function-to-the-resolv-m.patch
Patch1033: 0033-resolv-Remove-EDNS-fallback-BZ-21369.patch
Patch1034: 0034-resolv-Remove-DEBUG-from-resolv-res_send.c.patch
Patch1035: 0035-resolv-Remove-unused-resolv-res_debug.h-header-file.patch
Patch1036: 0036-resolv-Remove-internal-and-unused-definitions-from-r.patch
Patch1037: 0037-resolv-Move-fp_nquery-fp_query-p_query-_res_opcodes.patch
Patch1038: 0038-retsolv-Move-res_isourserver-res_send-from-res_data..patch
Patch1039: 0039-resolv-Move-res_query-res_search-res_querydomain-hos.patch
Patch1040: 0040-resolv-Reformat-resolv-res_data.c-to-GNU-style.patch
Patch1041: 0041-resolv-Remove-DEBUG-from-resolv-res_query.c.patch
Patch1042: 0042-resolv-Improve-debugging-output-from-tst-resolv-res_.patch
Patch1043: 0043-resolv-Add-preinit-tests-to-resolv-tst-resolv-res_in.patch
Patch1044: 0044-resolv-Introduce-struct-resolv_context-BZ-21668.patch
Patch1045: 0045-Remove-__need_list_t-and-__need_res_state.patch
Patch1046: 0046-Add-reallocarray-function.patch
Patch1047: 0047-support-Add-error-checking-to-close-system-calls-BZ-.patch
Patch1048: 0048-Add-internal-facility-for-dynamic-array-handling.patch
Patch1049: 0049-Narrowing-the-visibility-of-libc-internal.h-even-fur.patch
Patch1050: 0050-Implement-allocation-buffers-for-internal-use.patch
Patch1051: 0051-resolv-Introduce-struct-resolv_conf-with-extended-re.patch
Patch1052: 0052-dynarray-Implement-begin-end-functions-in-the-spirit.patch
Patch1053: 0053-resolv-Lift-domain-search-list-limits-BZ-19569-BZ-21.patch
Patch1054: 0054-resolv-Mirror-the-entire-resolver-configuration-in-s.patch
Patch1055: 0055-resolv-Automatically-reload-a-changed-etc-resolv.con.patch
Patch1056: 0056-Skip-tests-in-Makefiles.patch
Patch1057: 0057-Prevent-an-implicit-int-promotion-in-malloc-tst-allo.patch
Patch1058: 0058-resolv-Introduce-free-list-for-resolv_conf-index-slo.patch
Patch1059: 0059-resolv-Fix-improper-assert-in-__resolv_conf_attach.patch 
Patch1060: 0060-resolv-Fix-resolv_conf-_res-matching.patch
Patch1061: 0061-resolv-__resolv_conf_attach-must-not-free-passed-con.patch
Patch1062: glibc-2.25-CVE-2024-2961.patch
Patch1063: glibc-2.25-CVE-2024-33599.patch

BuildRoot: %{_tmppath}/%{name}-root
#Prefix: %{sony_cross_target_dir}
Prefix: %{sony_target_relocation}

BuildRequires: %{sony_tool_triplet}-cross-libopt-for-dev

%description
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%package -n %{pkgname}
Summary: The GNU C Library.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%prep
%setup -q -n glibc-%{version}

# Apply patches
%patch001 -p1
%patch002 -p1
%patch003 -p1
%patch004 -p1
%patch005 -p1
%patch006 -p1
%patch007 -p1
%patch008 -p1
%patch009 -p1
%patch010 -p1
#%patch100 -p1
%patch101 -p1
%patch102 -p1
#%patch103 -p1
%patch104 -p1
#%patch105 -p1
%patch105 -p1 
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch110 -p1
%patch113 -p1
%patch114 -p1
%patch117 -p1
%patch118 -p1
%patch112 -p1
#%patch115 -p1
%patch201 -p1
%patch202 -p1
#%patch203 -p1
#%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
%patch1009 -p1
%patch1010 -p1
%patch1011 -p1
#%patch1012 -p1
%patch1013 -p1
%patch1014 -p1
%patch1015 -p1
%patch1016 -p1
%patch1017 -p1
%patch1018 -p1
%patch1019 -p1
%patch1020 -p1
%patch1021 -p1
%patch1022 -p1
%patch1023 -p1
%patch1024 -p1
%patch1025 -p1
%patch1026 -p1
%patch1027 -p1
%patch1028 -p1
%patch1029 -p1
%patch1030 -p1
%patch1031 -p1
%patch1032 -p1
%patch1033 -p1
%patch1034 -p1
%patch1035 -p1
%patch1036 -p1
%patch1037 -p1
%patch1038 -p1
%patch1039 -p1
%patch1040 -p1
%patch1041 -p1
%patch1042 -p1
%patch1043 -p1
%patch1044 -p1
%patch1045 -p1
%patch1046 -p1
%patch1047 -p1
%patch1048 -p1
%patch1049 -p1
%patch1050 -p1
%patch1051 -p1
%patch1052 -p1
%patch1053 -p1
%patch1054 -p1
%patch1055 -p1
%patch1056 -p1
%patch1057 -p1
%patch1058 -p1
%patch1059 -p1
%patch1060 -p1
%patch1061 -p1
%patch1062 -p1
%patch1063 -p1

%build
%sony_target_dev_setup

%define _header_dir %{sony_target_dir}%{sony_target_dev_include_dir}

export CFLAGS="-O2 -g"

# autoconf cause "checking for grep that handles long lines and -e"
# failure, config.log msg: error: no acceptable grep could be found
#autoconf &&
%if "%{sony_target_cpu}" == "ppc"
   export libc_cv_ppc_machine=yes \
	  libc_cv_ppc_rel16=no \
%endif
# to build nptl
export libc_cv_forced_unwind=yes
export libc_cv_c_cleanup=yes
export libc_cv_gnu99_inline=yes

export BUILD_CC="gcc"
%sony_target_dev_configure \
	--disable-sanity-checks \
	--enable-kernel=3.4.0 \
        --enable-obsolete-rpc \
	--enable-profile \
	--without-cvs \
%if "%{sony_target_fpu}" == "no"
	--without-fp \
%endif
	--with-tls \
	--with-__thread \
	--without-gd \
	--with-headers=%{_header_dir} &&
cat <<EOF > configparms &&
slibdir=%{sony_target_dev_dir}/lib
libdir=%{sony_target_dev_prefix}/lib
sysconfdir=%{sony_target_dev_dir}/etc
EOF
make OBJDUMP_FOR_HOST=%{sony_target_toolprefix}objdump all

%install
%sony_target_dev_install_setup

rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libc
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libcrypt
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libdl
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libm
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libpthread
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/librt

cd %{sony_objdir} &&
make \
    install_root=%{buildroot}%{sony_target_dir} \
    OBJDUMP_FOR_HOST=%{sony_target_toolprefix}objdump \
    install

# NPTL <bits/stdio-lock.h> is not usable outside of glibc, so include
# the generic one (#162634)
#cp -a ../bits/stdio-lock.h  %{buildroot}%{_header_dir}/bits/stdio-lock.h

# Fix ld scripts (remove '/devel/lib/' and '/devel/usr/lib/').
for f in /usr/lib/libc.so /usr/lib/libpthread.so
do
    sed -e 's,%{sony_target_dev_dir}/[^ 	]*/,,g' \
	-e '/BUG in libc.scripts.output-format.sed/d' \
        %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}$f > tmp.so
    mv -f tmp.so %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}$f
done

## Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
OBJECTDIR=`/bin/pwd`

## Install Library Optimizer information (libc)
install -m 755 %{SOURCE10} %{_optdir}/libc/build
install -m 644 libc.map %{_optdir}/libc/libc.map
install -m 644 shlib.lds %{_optdir}/libc/libc.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libc/abi-note.o
install -m 644 elf/soinit.os %{_optdir}/libc/soinit.o
install -m 644 elf/sofini.os %{_optdir}/libc/sofini.o
install -m 644 elf/interp.os %{_optdir}/libc/interp.o
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/libc_pic.a)
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/libc.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libc-"%{version}".so" > %{_optdir}/libc/path)

## Install Library Optimizer information (libcrypt)
install -m 755 %{SOURCE11} %{_optdir}/libcrypt/build
install -m 644 libcrypt.map %{_optdir}/libcrypt/libcrypt.map
install -m 644 shlib.lds %{_optdir}/libcrypt/libcrypt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libcrypt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libcrypt/interp.o
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/crypt/libcrypt_pic.a)
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/crypt/libcrypt.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libcrypt-"%{version}".so" > %{_optdir}/libcrypt/path)

## Install Library Optimizer information (libdl)
install -m 755 %{SOURCE12} %{_optdir}/libdl/build
install -m 644 libdl.map %{_optdir}/libdl/libdl.map
install -m 644 shlib.lds %{_optdir}/libdl/libdl.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libdl/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libdl/interp.o
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/dlfcn/libdl_pic.a)
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/dlfcn/libdl.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libdl-"%{version}".so" > %{_optdir}/libdl/path)

## Install Library Optimizer information (libm)
install -m 755 %{SOURCE13} %{_optdir}/libm/build
install -m 644 libm.map %{_optdir}/libm/libm.map
install -m 644 shlib.lds %{_optdir}/libm/libm.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libm/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libm/interp.o
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/math/libm_pic.a)
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/math/libm.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libm-"%{version}".so" > %{_optdir}/libm/path)

## Install Library Optimizer information (libpthread)
install -m 755 %{SOURCE14} %{_optdir}/libpthread/build
install -m 644 libpthread.map %{_optdir}/libpthread/libpthread.map
install -m 644 shlib.lds %{_optdir}/libpthread/libpthread.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libpthread/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libpthread/interp.o
install -m 644 nptl/pt-interp.os %{_optdir}/libpthread/pt-interp.o
install -m 644 nptl/crti.o %{_optdir}/libpthread/crti.o
install -m 644 nptl/crtn.o %{_optdir}/libpthread/crtn.o
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/nptl/libpthread_pic.a)
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/nptl/libpthread.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libpthread-"%{version}".so" > %{_optdir}/libpthread/path)

## Install Library Optimizer information (librt)
install -m 755 %{SOURCE15} %{_optdir}/librt/build
install -m 644 librt.map %{_optdir}/librt/librt.map
install -m 644 shlib.lds %{_optdir}/librt/librt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/librt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/librt/interp.o
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/rt/librt_pic.a)
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/rt/librt.so -r *.o -o *.os > index)
(umask 022; echo "/lib/librt-"%{version}".so" > %{_optdir}/librt/path)

# temporary work around for gcc system header dir
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}
ln -s ..%{sony_target_dev_include_dir}\
	 %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}

# Added this for fixing the crti.o Error
#ln -s %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir} \
#	 %{sony_target_dir}%{sony_target_dev_prefix}/lib

#for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib64_dir}`; do
#    case $l in
#        *.o)
#          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
#	  ln -s ../lib64/$l \
#		%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
#          ;;
#    esac
#done

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

# temporary work around for gcc compilation error by symlink stubs-soft.h → stubs-hard.h
#cd %{buildroot}%{sony_target_dir}/usr/include/gnu/
#ln -sf stubs-hard.h  stubs-soft.h
#cd -

# Created this symbolic link to bring up the board as kernel looks for ld-linux.so.3
#cd %{buildroot}%{sony_target_dir}/lib/
#ln -sf ld-linux-armhf.so.3  ld-linux.so.3
#cd -

# remove info on target
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

#rm -rf %{buildroot}%{sony_target_dir}/usr/include/
#rm -rf %{sony_target_dir}/usr/include/

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}

%changelog
* Mon Jul 01 2024 Sony Group Corporation
- Added patch for CVE-2024-2961 & CVE-2024-33599

* Mon Jul 24 2023 Sony Group Corporation
- Added patches to fix wifi connection error

* Fri Jul 08 2022 Sony Group Corporation
- Added patch for CVE-2022-23218,CVE-2022-23219,CVE-2021-3999

* Wed Dec 22 2021 Sony Group Corporation
- Added Patches CVE-2016-10228, CVE-2021-35942
  and CVE-2021-43396 security fix patches

* Wed May 26 2021 Sony Group Corporation
- Added Patches CVE-2021-3326,CVE-2017-15671,CVE-2020-1752

* Mon Oct 12 2020 Sony Corporation
- Initial build for CE Linux 14.0.1.X

* Tue Apr 07 2020 Sony Corporation
- Added fix for dhcpcd exception issue.

* Tue Feb 11 2020 Sony Corporation
- Updated Release version 
- Added CVE-2017-1000366.patch CVE-2017-12132.patch CVE-2017-12133.patch CVE-2017-15670.patch
  CVE-2017-15804.patch CVE-2018-1000001.patch CVE-2018-11236.patch CVE-2018-6485.patch CVE-2019-9169.patch
  CVE-2017-16997.patch 

* Wed Nov 08 2017 Sony Corporation
- Added support for LOT in 14x

* Fri Jun 16 2017 Sony Corporation
- Updated the Version to 2.25.

* Thu Jan 12 2017 Sony Corporation
- Updated the Version to 2.22.

* Thu May 05 2016 Sony Corporation
- Added armhf support in LOT build script

* Tue Apr 19 2016 Sony Corporation
- Added work around for gcc compilation error for stubs-soft.h as part of armhf support

* Tue Feb 23 2016 Sony Corporation
- Added CVE-2015-7547 and depended patches
- Added CVE-2013-7423, CVE-2014-8121, CVE-2014-9761, CVE-2015-1472, CVE-2015-1473, CVE-2015-1781,
  CVE-2015-8776, CVE-2015-8778, CVE-2015-8779

* Mon Jul 06 2015 Sony Corporation
- Refreshed CVE patches CVE-2012-4412, CVE-2012-4424, CVE-2013-2207, CVE-2014-0475 and CVE-2014-6040

* Mon Feb 09 2015 Sony Corporation
- Added CVE-2014-7817,CVE-2014-9402 and CVE-2015-0235 fix patches

* Mon Sep 29 2014 Sony Corporation
- Added CVE-2013-0242,CVE-2013-1914,CVE-2013-4332,CVE-2012-4412,
  CVE-2013-4458,CVE-2013-2207,CVE-2014-0475,CVE-2014-5119,
  CVE-2014-6040 and CVE-2014-4043 fix patches

* Tue Oct 08 2013 Sony Corporation
- Added ld.so memory leak fix patch

* Tue Jun 25 2013 Sony Corporation
- Deleted info dir on target

* Thu Feb 28 2013 Sony Corporation
- Initial Build.
